//* Логические операторы

//* Оператор || (or)
// Возвращает первое true значение
// Если все операнды являются false, возвращает последний из них

// let currentUser = null;
// let defaultUser = "John";
// let name = currentUser || defaultUser || "unnamed";
// console.log(name); // выбирается "John" – первое истинное значение

//* Оператор && (and)
// Два амперсанда &&
// Если все операнды были true, возвращается последний
// Возвращает первое ложное значение
// Приоритет оператора && (and) больше, чем у || (or)

//* Оператор ! (не)
// (!!) используют для преобразования значений к логическому типу
// НЕ ! является наивысшим из всех логических операторов, поэтому он всегда выполняется первым

// console.log(!!null); // false
// console.log(!!1); // true

//* && (и) - возвращает первое false значение, а || (или) - возвращает первое true значение

//-----------------------------------------------------------------------------------------

//* Условные операторы

// Число 0, пустая строка "", null, undefined и NaN становятся false. Из-за этого их называют «ложными» («falsy») значениями

// let age = +prompt('Возраст?', 18);

// let message;

// if(age < 3) {
//    message = 'Здравствуй, малыш!';
// } else if(age < 18) {
//    message = 'Привет!';
// } else if(age < 100) {
//    message = 'Здравствуйте!';
// } else {
//    message = 'Какой необычный возраст!';
// }

//* Тернарный оператор

// let age = prompt('Возраст?', 18);

// let message = (age < 3) ? 'Здравствуй, малыш!' : (age < 18) ? 'Привет!' : (age < 100) ? 'Здравствуйте!' : 'Какой необычный возраст!';

// alert(message);

//-----------------------------------------------------------------------------------------

//* Switch

// У Switch проверка на равенство всегда строгая, значения должны быть одного типа
// case 3 === '3' - false
// case '3' === '3' - true

// let a = 2 + 2;

// switch (a) {
//   case 3:
//     alert( 'Маловато' );
//     break;
//   case 4:
//     alert( 'В точку!' );
//     break;
//   case 5:
//     alert( 'Перебор' );
//     break;
//   default:
//     alert( "Нет таких значений" );
// }


// группируем оба case
// case 3:
// case 5:
//     alert('Неправильно!');
//     alert("Может вам посетить урок математики?");
//     break;
